summaryrefslogtreecommitdiff
path: root/util
diff options
context:
space:
mode:
authorhailfinger <hailfinger@2b7e53f0-3cfb-0310-b3e9-8179ed1497e1>2010-11-02 00:16:27 +0000
committerhailfinger <hailfinger@2b7e53f0-3cfb-0310-b3e9-8179ed1497e1>2010-11-02 00:16:27 +0000
commit4e919544cbf401205e7743c86b098f910cc6765e (patch)
treed62d5e6c0b976c027e758024e8df88adca7d6def /util
parent38866f7299d8ecb9a37b52141e9f661384a8c2a9 (diff)
downloadflashrom-4e919544cbf401205e7743c86b098f910cc6765e.tar.gz
Use mktemp unconditionally for security reasons.
Avoid non-portable seq. Signed-off-by: Carl-Daniel Hailfinger <c-d.hailfinger.devel.2006@gmx.net> Acked-by: Idwer Vollering <vidwer@gmail.com> git-svn-id: https://code.coreboot.org/svn/flashrom/trunk@1221 2b7e53f0-3cfb-0310-b3e9-8179ed1497e1
Diffstat (limited to 'util')
-rwxr-xr-xutil/flashrom_partial_write_test.sh12
1 files changed, 9 insertions, 3 deletions
diff --git a/util/flashrom_partial_write_test.sh b/util/flashrom_partial_write_test.sh
index 7cf37c9..d5413b8 100755
--- a/util/flashrom_partial_write_test.sh
+++ b/util/flashrom_partial_write_test.sh
@@ -34,8 +34,12 @@ fi
echo "testing flashrom binary: ${FLASHROM}"
OLDDIR=$(pwd)
-if [ -z "$TMPDIR" ]; then
- TMPDIR=$(mktemp -d) # test data location
+
+# test data location
+TMPDIR=$(mktemp -d -t flashrom_test.XXXXXXXXXX)
+if [ "$?" != "0" ] ; then
+ echo "Could not create temporary directory"
+ exit $EXIT_FAILURE
fi
ZERO_4K="00_4k.bin"
@@ -65,8 +69,10 @@ echo "Running test in ${TMPDIR}"
# Make 4k worth of 0xff bytes
echo "begin 640 $FF_4K" > "$FF_4K_TEXT"
-for i in `seq 0 90` ; do
+i=0
+while [ $i -le 90 ] ; do
echo "M____________________________________________________________" >> "$FF_4K_TEXT"
+ i=$((${i} + 1))
done
echo "!_P``" >> "$FF_4K_TEXT"
echo "\`" >> "$FF_4K_TEXT"